/// <reference types="react" />
import { ViewProps } from 'react-native';
import { AnimateProps, LinearTransition } from 'react-native-reanimated';
export declare const DEFAULT_ANIMATION_DURATION_MS = 500;
export declare const LAYOUT_ANIMATION: LinearTransition;
type AnimTypeFadeIns = 'fadeIn' | 'fadeInDown' | 'fadeInUp' | 'fadeInLeft' | 'fadeInRight';
type AnimTypeFadeOuts = 'fadeOut' | 'fadeOutDown' | 'fadeOutUp' | 'fadeOutLeft' | 'fadeOutRight';
type AnimType = AnimTypeFadeIns | AnimTypeFadeOuts;
interface Anim {
    type: AnimType;
    delay?: number;
    duration?: number;
    distance?: number;
}
interface Props extends AnimateProps<ViewProps> {
    enter?: Anim;
    exit?: Anim;
    visible?: boolean;
}
export declare const EdgeAnim: ({ children, enter, exit, visible, ...rest }: Props) => JSX.Element | null;
export {};
