var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import * as React from 'react';
import Animated, { Easing, FadeIn, FadeInDown, FadeInLeft, FadeInRight, FadeInUp, FadeOut, FadeOutDown, FadeOutLeft, FadeOutRight, FadeOutUp, LinearTransition } from 'react-native-reanimated';
export const DEFAULT_ANIMATION_DURATION_MS = 500;
export const LAYOUT_ANIMATION = LinearTransition.duration(DEFAULT_ANIMATION_DURATION_MS);
const builderMap = {
    fadeIn: FadeIn,
    fadeInDown: FadeInDown,
    fadeInUp: FadeInUp,
    fadeInLeft: FadeInLeft,
    fadeInRight: FadeInRight,
    fadeOut: FadeOut,
    fadeOutDown: FadeOutDown,
    fadeOutUp: FadeOutUp,
    fadeOutLeft: FadeOutLeft,
    fadeOutRight: FadeOutRight
};
const getAnimBuilder = (anim) => {
    if (anim == null)
        return;
    const { type, delay = 0, duration = DEFAULT_ANIMATION_DURATION_MS, distance } = anim;
    const animBuilder = builderMap[type];
    let builder = animBuilder
        .delay(delay)
        .duration(duration)
        .easing(Easing.inOut(Easing.quad));
    // Allow initialValue distance for fadeIn transitions only as we
    // can only specify an initial value. fadeOut transitions would
    // need to specify a "final" value which we can't do
    if (distance != null && type.includes('In')) {
        // For fadeInLeft and fadeInUp, initialValues need to be negative
        const translateDistance = type.endsWith('Left') || type.endsWith('Up') ? -distance : distance;
        if (type.endsWith('Left') || type.endsWith('Right')) {
            builder = builder.withInitialValues({
                transform: [{ translateX: translateDistance }]
            });
        }
        else {
            builder = builder.withInitialValues({
                transform: [{ translateY: translateDistance }]
            });
        }
    }
    return builder;
};
export const EdgeAnim = (_a) => {
    var { children, enter, exit, visible = true } = _a, rest = __rest(_a, ["children", "enter", "exit", "visible"]);
    if (!visible)
        return null;
    const entering = getAnimBuilder(enter);
    const exiting = getAnimBuilder(exit);
    return (React.createElement(Animated.View, Object.assign({ layout: LAYOUT_ANIMATION, entering: entering, exiting: exiting }, rest), children));
};
