var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import Animated, { useAnimatedStyle } from 'react-native-reanimated';
import AntDesignIcon from 'react-native-vector-icons/AntDesign';
import IonIcon from 'react-native-vector-icons/Ionicons';
import { useTheme } from '../services/ThemeContext';
function AnimatedFontIcon(props) {
    const { accessible, color, IconComponent, name, size } = props;
    const theme = useTheme();
    const defaultColor = theme.icon;
    const defaultSize = theme.rem(1);
    const fontFamily = IconComponent.getFontFamily();
    const glyphMap = IconComponent.getRawGlyphMap();
    const style = useAnimatedStyle(() => {
        var _a, _b;
        return ({
            color: (_a = color === null || color === void 0 ? void 0 : color.value) !== null && _a !== void 0 ? _a : defaultColor,
            fontFamily,
            fontSize: (_b = size === null || size === void 0 ? void 0 : size.value) !== null && _b !== void 0 ? _b : defaultSize,
            fontStyle: 'normal',
            fontWeight: 'normal'
        });
    });
    // We use a raw `Animated.Text` here to avoid conflicts between
    // react-native-reanimated's `createAnimatedComponent` and the
    // react-native-vector-icon's wrapper component.
    return (React.createElement(Animated.Text, { accessible: accessible, style: style }, String.fromCodePoint(glyphMap[name])));
}
function ThemedFontIcon(props) {
    const theme = useTheme();
    const { accessible, color = theme.icon, IconComponent, name, size = theme.rem(1) } = props;
    const style = {
        color: color,
        fontSize: size
    };
    return (React.createElement(IconComponent, { accessible: accessible, name: name, adjustsFontSizeToFit: true, style: style }));
}
//
// HOC's
//
function makeAnimatedFontIcon(IconComponent, name) {
    return props => AnimatedFontIcon(Object.assign(Object.assign({}, props), { IconComponent, name }));
}
function makeFontIcon(IconComponent, name) {
    return props => ThemedFontIcon(Object.assign(Object.assign({}, props), { IconComponent, name }));
}
//
// Font Icons
//
export function EyeIconAnimated(props) {
    const { off } = props, rest = __rest(props
    // Swapping between two icons causes rendering glitches,
    // so we recycle the same component with different props:
    , ["off"]);
    // Swapping between two icons causes rendering glitches,
    // so we recycle the same component with different props:
    return AnimatedFontIcon(Object.assign(Object.assign({}, rest), { IconComponent: IonIcon, name: off ? 'eye-off-outline' : 'eye-outline' }));
}
export const CloseIcon = makeFontIcon(AntDesignIcon, 'close');
export const CloseIconAnimated = makeAnimatedFontIcon(AntDesignIcon, 'close');
export const SearchIcon = makeFontIcon(AntDesignIcon, 'search1');
export const SearchIconAnimated = makeAnimatedFontIcon(AntDesignIcon, 'search1');
