import * as React from 'react';
import { View } from 'react-native';
import { useSpaceStyle } from '../../hooks/useSpaceStyle';
/**
 * Numbers are rem units, and boolean means to fill up assigned space; this
 * allows for centering and alignment (see useSpaceStyle hook for details).
 */
export const Space = React.memo((props) => {
    const { children, style } = props;
    const spaceStyle = useSpaceStyle(props);
    return React.createElement(View, { style: [spaceStyle, style] }, children);
});
