import * as React from 'react';
import { lstrings } from '../../common/locales/strings';
import { Checkbox } from '../themed/Checkbox';
import { ModalMessage } from '../themed/ModalParts';
import { ButtonsViewUi4 } from '../ui4/ButtonsViewUi4';
import { ModalUi4 } from '../ui4/ModalUi4';
export function RequestPermissionsModal(props) {
    const { bridge, choices, message } = props;
    const [selection, setSelection] = React.useState(Object.assign({ enable: false }, choices));
    const handleCancel = () => bridge.resolve(undefined);
    const handlePress = (choice, value) => {
        const newSelection = Object.assign(Object.assign({}, selection), { [choice]: value !== null && value !== void 0 ? value : !selection[choice] });
        setSelection(newSelection);
        // A confirmation button was pressed:
        if (choice === 'enable') {
            bridge.resolve(newSelection);
        }
    };
    return (React.createElement(ModalUi4, { bridge: bridge, title: lstrings.security_is_our_priority_modal_title, warning: true, onCancel: handleCancel },
        React.createElement(ModalMessage, null, message),
        React.createElement(Checkbox, { marginRem: [1, 0, 0.5, 0.5], onChange: () => handlePress('optInPriceChanges'), value: selection.optInPriceChanges, textStyle: {} }, lstrings.notifications_opt_in_price_changes),
        React.createElement(Checkbox, { onChange: () => handlePress('optInMarketing'), value: selection.optInMarketing, textStyle: {} }, lstrings.notifications_opt_in_marketing),
        React.createElement(ButtonsViewUi4, { primary: {
                label: lstrings.enable,
                onPress: () => handlePress('enable', true)
            }, tertiary: {
                label: lstrings.cancel,
                onPress: () => handlePress('enable', false)
            }, parentType: "modal" })));
}
