/// <reference types="react" />
import { EdgeAccountOptions, EdgeContext } from 'edge-core-js';
import { ParentButton } from '../../types/Branding';
import { ExperimentConfig, OnComplete, OnLogEvent, OnLogin, OnNotificationPermit } from '../../types/ReduxTypes';
import { AppConfig, InitialRouteName } from './types';
interface Props {
    context: EdgeContext;
    /**
     * The user to select, if present on the device.
     * Get this from `EdgeContext.localUsers`
     */
    initialLoginId?: string;
    initialRoute?: InitialRouteName;
    appId?: string;
    appName?: string;
    fontDescription?: {
        regularFontFamily: string;
        headingFontFamily?: string;
    };
    landingScreenText?: string;
    parentButton?: ParentButton;
    primaryLogo?: any;
    primaryLogoCallback?: () => void;
    accountOptions: EdgeAccountOptions;
    /**
     * Application config options
     */
    appConfig?: AppConfig;
    /**
     * Called when the user navigates back passed the initialRoute if it was set.
     */
    onComplete?: OnComplete;
    onLogin: OnLogin;
    onNotificationPermit?: OnNotificationPermit;
    onLogEvent?: OnLogEvent;
    recoveryLogin?: string;
    experimentConfig?: ExperimentConfig;
    skipSecurityAlerts?: boolean;
    skipOtpReminder?: boolean;
    customPermissionsFunction?: () => void;
    /**
     * The username to select, if present on the device.
     * @deprecated Use initialLoginId instead.
     */
    username?: string;
}
export declare function LoginScreen(props: Props): JSX.Element;
export {};
