import * as React from 'react';
import { Image, View } from 'react-native';
import { cacheStyles } from 'react-native-patina';
import { EdgeAnim } from '../common/EdgeAnim';
import { useTheme } from '../services/ThemeContext';
import { EdgeText } from '../themed/EdgeText';
import { ThemedScene } from '../themed/ThemedScene';
const loader = require('../../assets/safeLoader.gif');
export const WaitScene = (props) => {
    const { route } = props;
    const { message, title } = route.params;
    const theme = useTheme();
    const styles = getStyles(theme);
    return (React.createElement(ThemedScene, null,
        React.createElement(View, { style: styles.content },
            React.createElement(EdgeAnim, { enter: { type: 'fadeInUp', distance: 120 } },
                React.createElement(EdgeText, { style: styles.title }, title)),
            React.createElement(EdgeText, { style: styles.message }, message),
            React.createElement(EdgeAnim, { enter: { type: 'fadeInDown', distance: 60 } },
                React.createElement(Image, { source: loader, style: styles.loaderImage })))));
};
const getStyles = cacheStyles((theme) => ({
    content: {
        flex: 1,
        justifyContent: 'center',
        alignItems: 'center'
    },
    title: {
        fontFamily: theme.fontFaceBold,
        fontSize: theme.rem(1.25),
        marginBottom: theme.rem(1.25)
    },
    message: {
        fontFamily: theme.fontFaceBold,
        fontSize: theme.rem(1),
        marginBottom: theme.rem(2),
        textAlign: 'center'
    },
    loaderImage: {
        width: theme.rem(5),
        height: theme.rem(5)
    }
}));
