import * as React from 'react';
import { ButtonUi4 } from '../ui4/ButtonUi4';
/**
 * A stand-alone button to perform the primary action in a modal or scene.
 */
export function MainButton(props) {
    const { alignSelf = 'auto', children, disabled = false, label, marginRem = [0, 1, 0, 1], onPress, type = 'primary', paddingRem, layout, spinner = false, testID } = props;
    return (React.createElement(ButtonUi4, { alignSelf: alignSelf, disabled: disabled, label: label, marginRem: marginRem, onPress: onPress, paddingRem: paddingRem, spinner: spinner, type: type === 'escape' ? 'tertiary' : type, layout: layout, testID: testID }, children));
}
