/**
 * IMPORTANT: Changes in this file MUST be synced with edge-react-gui!
 */
import * as React from 'react';
export type ButtonTypeUi4 = 'primary' | 'secondary' | 'tertiary';
interface Props {
    children?: React.ReactNode;
    onPress?: () => void | Promise<void>;
    alignSelf?: 'auto' | 'stretch' | 'center';
    disabled?: boolean;
    label?: string;
    layout?: 'row' | 'column' | 'solo';
    spinner?: boolean;
    type?: ButtonTypeUi4;
    mini?: boolean;
    /** @deprecated - Shouldn't use this post-UI4 transition */
    marginRem?: number[] | number;
    /** @deprecated - Shouldn't use this post-UI4 transition */
    paddingRem?: number[] | number;
    testID?: string;
}
/**
 * A stylized button with 0 outside margins by default.
 * - Typically to be used as a child of ButtonsViewUi4.
 * - NOT meant to be used on its own outside of ButtonsViewUi4 unless layout='solo'
 */
export declare function ButtonUi4(props: Props): JSX.Element;
export {};
