/**
 * IMPORTANT: Changes in this file MUST be synced between edge-react-gui and
 * edge-login-ui-rn!
 */
import * as React from 'react';
export interface ButtonInfo {
    label: string;
    onPress: () => void | Promise<void>;
    disabled?: boolean;
    spinner?: boolean;
    testID?: string;
    animDistanceStart?: number;
}
interface Props {
    absolute?: boolean;
    primary?: ButtonInfo;
    secondary?: ButtonInfo;
    secondary2?: ButtonInfo;
    tertiary?: ButtonInfo;
    layout?: 'row' | 'column' | 'solo';
    parentType?: 'scene' | 'modal';
    animDistanceStart?: number;
}
/**
 * A consistently styled view for displaying button layouts.
 */
export declare const ButtonsViewUi4: React.MemoExoticComponent<({ absolute, primary, secondary, secondary2, tertiary, layout, parentType, animDistanceStart }: Props) => JSX.Element>;
export {};
