import { useEffect, useState } from 'react';
/**
 * Subscribes to changes in a core object's property.
 */
export function useWatch(object, name) {
    const [out, setOut] = useState(object[name]);
    useEffect(() => {
        setOut(object[name]);
        return object.watch(name, setOut);
    }, [object, name]);
    return out;
}
